#See https://aka.ms/customizecontainer to learn how to customize your debug container and how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["BPA.KitChen.GroupMeal/BPA.KitChen.GroupMeal.csproj", "BPA.KitChen.GroupMeal/"]
COPY ["BPA.KitChen.GroupMeal.Application/BPA.KitChen.GroupMeal.Application.csproj", "BPA.KitChen.GroupMeal.Application/"]
COPY ["BPA.KitChen.GroupMeal.Core/BPA.KitChen.GroupMeal.Core.csproj", "BPA.KitChen.GroupMeal.Core/"]
COPY ["BPA.KitChen.GroupMeal.SqlSugar/BPA.KitChen.GroupMeal.SqlSugar.csproj", "BPA.KitChen.GroupMeal.SqlSugar/"]
RUN dotnet restore "BPA.KitChen.GroupMeal/BPA.KitChen.GroupMeal.csproj"
COPY . .
WORKDIR "/src/BPA.KitChen.GroupMeal"
RUN dotnet build "BPA.KitChen.GroupMeal.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "BPA.KitChen.GroupMeal.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "BPA.KitChen.GroupMeal.dll"]